Gnome2-PanelApplet v0.04 Perl 5 v5.34.1 x86_64-linux

Status
Unknown
From
David Solimano
Dist
Gnome2-PanelApplet v0.04
Platform
Perl 5 v5.34.1 x86_64-linux
Date
2023-03-27T15:41:24
ID
d4b18ffa-ccb5-11ed-8f48-7843d7451a7d
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Brian Manning,

This is a computer-generated report for Gnome2-PanelApplet-0.04
on perl 5.34.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin/perl Makefile.PL':

Can't locate ExtUtils/Depends.pm in @INC (you may need to install the ExtUtils::Depends module) (@INC contains: /tmp/CPAN-Reporter-lib-6a67 /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/site_perl/5.34.1/x86_64-linux /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/site_perl/5.34.1 /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/5.34.1/x86_64-linux /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/5.34.1 .) at (eval 10) line 1.
BEGIN failed--compilation aborted at (eval 10) line 1.

Checking if your kit is complete...
Looks good
MakeMaker FATAL: prerequisites not found.
    ExtUtils::Depends not installed
    ExtUtils::PkgConfig not installed
    Glib not installed
    Gnome2 not installed
    Gnome2::GConf not installed
    Gtk2 not installed

Please install these modules first and rerun 'perl Makefile.PL'.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

    No requirements found

------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    PATH = /home/perluser/perl5/perlbrew/bin:/home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
    PERL = /home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-6a67 -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 3812
    PERL5_CPAN_IS_EXECUTING = /home/perluser/.cpan/build/Gnome2-PanelApplet-0.04-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 3812
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 22241,3812
    PERLBREW_HOME = /home/perluser/.perlbrew
    PERLBREW_MANPATH = /home/perluser/perl5/perlbrew/perls/perl-5.34.1/man
    PERLBREW_PATH = /home/perluser/perl5/perlbrew/bin:/home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin
    PERLBREW_PERL = perl-5.34.1
    PERLBREW_ROOT = /home/perluser/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.96
    PERLBREW_VERSION = 0.96
    PERL_AUTOINSTALL = --defaultdeps
    PERL_CR_SMOKER_CURRENT = Gnome2-PanelApplet-0.04
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /bin/bash
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin/perl
    $UID/$EUID = 1001 / 1001
    $GID = 1001 1001
    $EGID = 1001 1001

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.34    
    CPAN::Meta          2.150010
    Cwd                 3.80    
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.66    
    ExtUtils::Install   2.20    
    ExtUtils::MakeMaker 7.66    
    ExtUtils::Manifest  1.73    
    ExtUtils::ParseXS   3.44    
    File::Spec          3.80    
    JSON                n/a     
    JSON::PP            4.12    
    Module::Build       0.4232  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.44    
    Test::More          1.302192
    YAML                n/a     
    YAML::Syck          n/a     
    version             0.9929  


--

Summary of my perl5 (revision 5 version 34 subversion 1) configuration:
   
  Platform:
    osname=linux
    osvers=4.19.0-12-amd64
    archname=x86_64-linux
    uname='linux csi-nyp-lensrv 4.19.0-12-amd64 #1 smp debian 4.19.152-1 (2020-10-18) x86_64 gnulinux '
    config_args='-de -Dprefix=/home/perluser/perl5/perlbrew/perls/perl-5.34.1 -Aeval:scriptdir=/home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
  Compiler:
    cc='cc'
    ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2'
    optimize='-O2'
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='8.3.0'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib
    libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.28.so
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version='2.28'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
  Built under linux
  Compiled at Dec 20 2022 22:02:38
  %ENV:
    PERL="/home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="3812"
    PERL5_CPAN_IS_EXECUTING="/home/perluser/.cpan/build/Gnome2-PanelApplet-0.04-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="3812"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="22241,3812"
    PERLBREW_HOME="/home/perluser/.perlbrew"
    PERLBREW_MANPATH="/home/perluser/perl5/perlbrew/perls/perl-5.34.1/man"
    PERLBREW_PATH="/home/perluser/perl5/perlbrew/bin:/home/perluser/perl5/perlbrew/perls/perl-5.34.1/bin"
    PERLBREW_PERL="perl-5.34.1"
    PERLBREW_ROOT="/home/perluser/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.96"
    PERLBREW_VERSION="0.96"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_CR_SMOKER_CURRENT="Gnome2-PanelApplet-0.04"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/site_perl/5.34.1/x86_64-linux
    /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/site_perl/5.34.1
    /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/5.34.1/x86_64-linux
    /home/perluser/perl5/perlbrew/perls/perl-5.34.1/lib/5.34.1
    .